import request from '@/utils/request'

/**
 * 主体信息复杂分页
 * @param {Object} data 分页参数
 * @author lroyia
 * @since 2021年4月21日 11:29:37
 */
export function complexEntInfoPage(data) {
  return request({
    url: '/eBaseinfo/entInfoPage',
    method: 'post',
    data
  })
}

/**
 * 通过主体pripid获取主体信息
 * @param {string} pripid 主体pripid
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月21日 14:16:18
 */
export function getEntBaseByPripid(pripid) {
  return request({
    url: `/eBaseinfo/getEntBaseByPripid?pripid=${pripid}`,
    method: 'get'
  })
}

export function comprehensiveQuery(data) {
  return request({
    url: '/eBaseinfo/comprehensiveQuery',
    method: 'post',
    data
  })
}

export function listEnt(params) {
  return request({
    url: '/eBaseinfo/list',
    method: 'get',
    params
  })
}

export function revokeEntListExport(data) {
  return request({
    url: '/tsbizrevlist/revokeEntListExport',
    method: 'post',
    responseType: 'blob',
    data,
    useHeader: true
  })
}
/**
 * 条件查询主体基本信息分页
 */
export function getBasePage(data) {
  return request({
    url: '/eBaseinfo/getBasePage',
    method: 'post',
    data
  })
}

export function exportInfo(data) {
  // const form = new FormData()
  // form.append('pageRequestDto', pageRequestDto)
  // form.append('filedParams', filedParams)
  return request({
    url: '/eBaseinfo/exportInfo2',
    method: 'post',
    responseType: 'blob',
    data
  })
}

export function checkExportNum(data) {
  return request({
    url: '/eBaseinfo/checkExportNum',
    method: 'post',
    data
  })
}
